Commit dbc9c0ea9230789f289f1531a1719f9d628314da

Authored by iOS-Xiaowen
1 parent 7a8aa0b9

no message

CNLiveBMineModule/Classes/View/CNLiveMineHeaderView.m
... ... @@ -300,7 +300,19 @@ static const NSInteger margin = 20;
300 300 _certification.numberOfLines = 1;
301 301 _certification.textColor = [UIColor whiteColor];
302 302 _certification.font = [UIFont systemFontOfSize:16];
303   - _certification.attributedText = [self createAttributedImages:@[@"mine_wjj_certification",@"mine_common",@"mine_qiye"]];
  303 + NSMutableArray *images = [NSMutableArray arrayWithArray:@[@"mine_wjj_certification"]];
  304 + //个人
  305 + if ([CNUserShareModel.wjjStatus.personStatus isEqualToString:@"1"]) {
  306 + [images addObject:@"mine_doyen"];
  307 + }else{
  308 + [images addObject:@"mine_common"];
  309 + }
  310 +
  311 + // 企业
  312 + if ([CNUserShareModel.wjjStatus.institutionStatus isEqualToString:@"1"]) {
  313 + [images addObject:@"mine_qiye"];
  314 + }
  315 + _certification.attributedText = [self createAttributedImages:images];
304 316 }
305 317 return _certification;
306 318 }
... ...
Example/CNLiveBMineModule.xcodeproj/project.pbxproj
... ... @@ -207,8 +207,8 @@
207 207 6003F586195388D20070C39A /* Sources */,
208 208 6003F587195388D20070C39A /* Frameworks */,
209 209 6003F588195388D20070C39A /* Resources */,
210   - F3996565F54FEE644DED0E5D /* [CP] Embed Pods Frameworks */,
211   - E6B842F09A3E7A07D5B780D1 /* [CP] Copy Pods Resources */,
  210 + 843173646D6321F7E65D9A65 /* [CP] Embed Pods Frameworks */,
  211 + 05E4C1AD4CDFB01FBAEA75CF /* [CP] Copy Pods Resources */,
212 212 );
213 213 buildRules = (
214 214 );
... ... @@ -299,29 +299,31 @@
299 299 /* End PBXResourcesBuildPhase section */
300 300  
301 301 /* Begin PBXShellScriptBuildPhase section */
302   - 2A8336772A36DEB07525BA2F /* [CP] Check Pods Manifest.lock */ = {
  302 + 05E4C1AD4CDFB01FBAEA75CF /* [CP] Copy Pods Resources */ = {
303 303 isa = PBXShellScriptBuildPhase;
304 304 buildActionMask = 2147483647;
305 305 files = (
306 306 );
307   - inputFileListPaths = (
308   - );
309 307 inputPaths = (
310   - "${PODS_PODFILE_DIR_PATH}/Podfile.lock",
311   - "${PODS_ROOT}/Manifest.lock",
312   - );
313   - name = "[CP] Check Pods Manifest.lock";
314   - outputFileListPaths = (
  308 + "${PODS_ROOT}/Target Support Files/Pods-CNLiveBMineModule_Example/Pods-CNLiveBMineModule_Example-resources.sh",
  309 + "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveBMineModule/CNLiveBMineModule.bundle",
  310 + "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveShareToolKit/CNLiveShareToolKit.bundle",
  311 + "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveUserAgreementManager/CNLiveUserAgreementManager.bundle",
  312 + "${PODS_ROOT}/WeiboSDK/libWeiboSDK/WeiboSDK.bundle",
315 313 );
  314 + name = "[CP] Copy Pods Resources";
316 315 outputPaths = (
317   - "$(DERIVED_FILE_DIR)/Pods-CNLiveBMineModule_Example-checkManifestLockResult.txt",
  316 + "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveBMineModule.bundle",
  317 + "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveShareToolKit.bundle",
  318 + "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveUserAgreementManager.bundle",
  319 + "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/WeiboSDK.bundle",
318 320 );
319 321 runOnlyForDeploymentPostprocessing = 0;
320 322 shellPath = /bin/sh;
321   - shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
  323 + shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveBMineModule_Example/Pods-CNLiveBMineModule_Example-resources.sh\"\n";
322 324 showEnvVarsInLog = 0;
323 325 };
324   - C07FCC71144256C0D7D38641 /* [CP] Check Pods Manifest.lock */ = {
  326 + 2A8336772A36DEB07525BA2F /* [CP] Check Pods Manifest.lock */ = {
325 327 isa = PBXShellScriptBuildPhase;
326 328 buildActionMask = 2147483647;
327 329 files = (
... ... @@ -336,38 +338,14 @@
336 338 outputFileListPaths = (
337 339 );
338 340 outputPaths = (
339   - "$(DERIVED_FILE_DIR)/Pods-CNLiveBMineModule_Tests-checkManifestLockResult.txt",
  341 + "$(DERIVED_FILE_DIR)/Pods-CNLiveBMineModule_Example-checkManifestLockResult.txt",
340 342 );
341 343 runOnlyForDeploymentPostprocessing = 0;
342 344 shellPath = /bin/sh;
343 345 shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
344 346 showEnvVarsInLog = 0;
345 347 };
346   - E6B842F09A3E7A07D5B780D1 /* [CP] Copy Pods Resources */ = {
347   - isa = PBXShellScriptBuildPhase;
348   - buildActionMask = 2147483647;
349   - files = (
350   - );
351   - inputPaths = (
352   - "${PODS_ROOT}/Target Support Files/Pods-CNLiveBMineModule_Example/Pods-CNLiveBMineModule_Example-resources.sh",
353   - "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveBMineModule/CNLiveBMineModule.bundle",
354   - "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveShareToolKit/CNLiveShareToolKit.bundle",
355   - "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveUserAgreementManager/CNLiveUserAgreementManager.bundle",
356   - "${PODS_ROOT}/WeiboSDK/libWeiboSDK/WeiboSDK.bundle",
357   - );
358   - name = "[CP] Copy Pods Resources";
359   - outputPaths = (
360   - "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveBMineModule.bundle",
361   - "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveShareToolKit.bundle",
362   - "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveUserAgreementManager.bundle",
363   - "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/WeiboSDK.bundle",
364   - );
365   - runOnlyForDeploymentPostprocessing = 0;
366   - shellPath = /bin/sh;
367   - shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveBMineModule_Example/Pods-CNLiveBMineModule_Example-resources.sh\"\n";
368   - showEnvVarsInLog = 0;
369   - };
370   - F3996565F54FEE644DED0E5D /* [CP] Embed Pods Frameworks */ = {
  348 + 843173646D6321F7E65D9A65 /* [CP] Embed Pods Frameworks */ = {
371 349 isa = PBXShellScriptBuildPhase;
372 350 buildActionMask = 2147483647;
373 351 files = (
... ... @@ -443,6 +421,28 @@
443 421 shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveBMineModule_Example/Pods-CNLiveBMineModule_Example-frameworks.sh\"\n";
444 422 showEnvVarsInLog = 0;
445 423 };
  424 + C07FCC71144256C0D7D38641 /* [CP] Check Pods Manifest.lock */ = {
  425 + isa = PBXShellScriptBuildPhase;
  426 + buildActionMask = 2147483647;
  427 + files = (
  428 + );
  429 + inputFileListPaths = (
  430 + );
  431 + inputPaths = (
  432 + "${PODS_PODFILE_DIR_PATH}/Podfile.lock",
  433 + "${PODS_ROOT}/Manifest.lock",
  434 + );
  435 + name = "[CP] Check Pods Manifest.lock";
  436 + outputFileListPaths = (
  437 + );
  438 + outputPaths = (
  439 + "$(DERIVED_FILE_DIR)/Pods-CNLiveBMineModule_Tests-checkManifestLockResult.txt",
  440 + );
  441 + runOnlyForDeploymentPostprocessing = 0;
  442 + shellPath = /bin/sh;
  443 + shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
  444 + showEnvVarsInLog = 0;
  445 + };
446 446 /* End PBXShellScriptBuildPhase section */
447 447  
448 448 /* Begin PBXSourcesBuildPhase section */
... ...